#wrapper {
  aspect-ratio: 1.618;
  width: 32vw;
  position: relative;
  margin: 0 34vw;
  top: -400px;
  z-index: -200;
}

@media screen and (max-width: 1600px) {
  #wrapper{
    width: 32vw;
    margin: 0 34vw;
    top: -200px;
  }
}

@media screen and (max-width: 1024px) {
  #wrapper{
    width: 92vw;
    margin: 0 3vw;
    top: -550px;
  }
}

@media screen and (max-width: 768px) {
  #wrapper{
    width: 92vw;
    margin: 0 3vw;
    top: -250px;
  }
}

#wrapper > .shape {
  height: 30%;
  width: 30%;
  background-color: rgba(255 255 255 / 5%);
  position: absolute;
  transition: left, top, height, width, border-radius;
  transition-duration: 750ms;
  transition-timing-function: ease-in-out;
}

#wrapper > .shape:nth-child(1) {
  border-color: var(--lb-secondary1);
  z-index: 2;
}

#wrapper > .shape:nth-child(2) {
  border-color: rgb(255,100,0);
  z-index: 2;
}

#wrapper > .shape:nth-child(3) {
  background-image: url("../img/portrait1.jpg");
  z-index: 1;
  background-repeat: no-repeat;
  background-size: cover;
  border: 0;
 /* animation: foto-io 5s;
  animation-iteration-count: infinite;*/
}
/*
@keyframes foto-io {
  0% {
    background-image: url("../img/portrait1.jpg")
  }
  33% {
    background-image: url("../img/portrait2.jpg")
  }
  66% {
    background-image: url("../img/portrait3.jpg")
  }
  100% {
    background-image: url("../img/portrait1.jpg")
  }
}

#wrapper > .shape:nth-child(4) {
  background-color: rgb(255, 183, 61);
  z-index: 2;
}

#wrapper > .shape:nth-child(5) {
  background-color: rgb(208, 12, 208);
  z-index: 2;
  mix-blend-mode: soft-light;
}

#wrapper > .shape:nth-child(6) {
  background-color: rgba(0, 99, 246, 0.7);
  z-index: 2;
  mix-blend-mode: soft-light;
}

#wrapper > .shape:nth-child(7) {
  background-color: var(--lb-accent1);
  z-index: 2;
  mix-blend-mode: soft-light;
}
*/
#wrapper > .shape{
  border: 2px solid;
}
#wrapper > .shape:nth-child(4) {
  border-color: rgb(255, 183, 61);
  z-index: 2;
}

#wrapper > .shape:nth-child(5) {
  border-color: rgb(208, 12, 208);
  z-index: 2;
}

#wrapper > .shape:nth-child(6) {
  border-color: rgba(0, 99, 246, 0.7);
  z-index: 2;
}

#wrapper > .shape:nth-child(7) {
  border-color: var(--lb-accent1);
  z-index: 2;
}

#wrapper[data-configuration="1"] > .shape:nth-child(1) {  
  left: 0;
  top: 0;
  height: 50%;
  width: 20%;
}

#wrapper[data-configuration="1"] > .shape:nth-child(2) {  
  left: 20%;
  top: 0;
  height: 50%;
  width: 30%;
}

#wrapper[data-configuration="1"] > .shape:nth-child(3) {  
  left: 50%;
  top: 0;
  height: 100%;
  width: 50%;
}

#wrapper[data-configuration="1"] > .shape:nth-child(4) {  
  left: 0;
  top: 50%;
  height: 50%;
  width: 30%;
}

#wrapper[data-configuration="1"] > .shape:nth-child(5) {  
  left: 30%;
  top: 50%;
  height: 50%;
  width: 20%;
}

#wrapper[data-configuration="1"] > .shape:nth-child(6) {  
  left: 70%;
  top: 50%;
  height: 50%;
  width: 30%;
}

#wrapper[data-configuration="1"] > .shape:nth-child(7) {  
  left: 85%;
  top: 75%;
  height: 25%;
  width: 15%;
}

#wrapper[data-configuration="2"] > .shape:nth-child(1) {
  left: 25%;
  top: 20%;
  height: 80%;
  width: 15%;
}

#wrapper[data-configuration="2"] > .shape:nth-child(2) {  
  left: 40%;
  top: 20%;
  height: 50%;
  width: 10%;
}

#wrapper[data-configuration="2"] > .shape:nth-child(3) {  
  left: 50%;
  top: 0;
  height: 100%;
  width: 25%;
}

#wrapper[data-configuration="2"] > .shape:nth-child(4) {  
  left: 0;
  top: 0;
  height: 50%;
  width: 10%;
}

#wrapper[data-configuration="2"] > .shape:nth-child(5) {  
  left: 10%;
  top: 0;
  height: 70%;
  width: 15%;
}

#wrapper[data-configuration="2"] > .shape:nth-child(6) {  
  left: 75%;
  top: 10%;
  height: 80%;
  width: 15%;
}

#wrapper[data-configuration="2"] > .shape:nth-child(7) {  
  left: 90%;
  top: 40%;
  height: 60%;
  width: 10%;
}

#wrapper[data-configuration="3"] > .shape:nth-child(1) {
  left: 0;
  top: 16.5%;
  height: 32%;
  width: 20%;
}

#wrapper[data-configuration="3"] > .shape:nth-child(2) {  
  left: 20%;
  top: 2.7%;
  height: 55%;
  width: 34%;
}

#wrapper[data-configuration="3"] > .shape:nth-child(3) {  
  left: 38%;
  top: 0;
  height: 100%;
  width: 62%;
}

#wrapper[data-configuration="3"] > .shape:nth-child(4) {  
  left: 0;
  top: 47.3%;
  height: 55%;
  width: 34%;
}

#wrapper[data-configuration="3"] > .shape:nth-child(5) {   
  left: 34%;
  top: 56.4%;
  height: 32%;
  width: 20%;
}

#wrapper[data-configuration="3"] > .shape:nth-child(6) {  
  left: 66%;
  top: 45%;
  height: 55%;
  width: 34%;
}

#wrapper[data-configuration="3"] > .shape:nth-child(7) {  
  left: 80%;
  top: 68%;
  height: 32%;
  width: 20%;
}

#wrapper[data-roundness="1"] > .shape {   
  border-radius: 6rem; 
}

#wrapper[data-roundness="2"] > .shape {  
  border-radius: 0rem;
}

#wrapper[data-roundness="3"] > .shape {  
  border-radius: 30rem;
}

#wrapper[data-roundness="4"] > .shape:nth-child(1) {  
  border-bottom-left-radius: 10rem;
}

#wrapper[data-roundness="4"] > .shape:nth-child(2) {  
  border-radius: 20rem;
}

#wrapper[data-roundness="4"] > .shape:nth-child(3) {  
  border-top-right-radius: 12rem;
}

#wrapper[data-roundness="4"] > .shape:nth-child(4) {  
  border-top-right-radius: 10rem;
  border-bottom-right-radius: 10rem;
}

#wrapper[data-roundness="4"] > .shape:nth-child(5) {  
  border-bottom-left-radius: 10rem;
}

#wrapper[data-roundness="4"] > .shape:nth-child(6) {  
  border-top-left-radius: 16rem;
}

#wrapper[data-roundness="4"] > .shape:nth-child(7) {  
  border-top-left-radius: 10rem;
}

/* -- YouTube Link Styles -- */

body.menu-toggled > .meta-link > span {
  color: rgb(30, 30, 30);
}

#source-link {
  bottom: 60px;
}

#source-link > i {
  color: rgb(94, 106, 210);
}

#yt-link > i {
  color: rgb(239, 83, 80);
}

.meta-link {
  align-items: center;
  backdrop-filter: blur(3px);
  background-color: rgba(255, 255, 255, 0.05);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 6px;
  bottom: 10px;
  box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.1);
  cursor: pointer;  
  display: inline-flex;
  gap: 5px;
  left: 10px;
  padding: 10px 20px;
  position: fixed;
  text-decoration: none;
  transition: background-color 400ms, border-color 400ms;
  z-index: 10000;
}

.meta-link:hover {
  background-color: rgba(255, 255, 255, 0.1);
  border: 1px solid rgba(255, 255, 255, 0.2);
}

.meta-link > i, .meta-link > span {
  height: 20px;
  line-height: 20px;
}

.meta-link > span {
  color: white;
  font-family: "Rubik", sans-serif;
  font-weight: 500;
}


/* blob */

svg.blob{
  display: inline-block;
  filter: blur(60px);
}

#goo1, #goo2{
  transform-origin: center;
}

#goo1{
  animation: rotate 24s ease infinite alternate;
}

#goo2{
  animation: rotate 24s ease infinite alternate-reverse;
}

@keyframes rotate{
  0%{
    transform: rotate(20deg)
  }

  50%{
    transform: rotate(60deg) scale(.5)
  }
}

.blob{
  position: absolute;
  left: 10%;
  z-index: -9999;
  opacity: 50%;
  overflow: hidden;
  width: 50vw;
  height: 50vw;
  --sal-duration: 10s;
}
@media screen and (max-width: 992px){
  .blob{
    position: absolute;
    left: 10%;
    z-index: -9999;
    opacity: 50%;
    overflow: hidden;
    width: 90vw;
    height: 90vw;
    --sal-duration: 10s;
  }
}